#
# Cookbook:: stegosoc
# Recipe:: coon
#
# Copyright:: 2017, Mayank Gaikwad, All Rights Reserved.

include_recipe "stegosoc::wazuh_repo"

package "wazuh-agent" do
    options '--force-yes'
    action :install
end

template "/var/ossec/etc/ossec.conf" do
    source "wazuh/ossec.conf.erb"
    owner "root"
    group "root"
    action :create
    variables({
        :manager_ip => node['stegosoc']['wazuh-manager']['ip'],
        :syscheck_frequency => node['stegosoc']['coon']['syscheck_frequency']
        })
end

bash "coon_registration" do
    user 'root'
    code "/var/ossec/bin/agent-auth -m #{node['stegosoc']['wazuh-manager']['ip']} -p #{node['stegosoc']['wazuh-manager']['port']} -A #{node['stegosoc']['coon']['agent_unique_name']}"
end

service "ossec-control" do
    start_command "/var/ossec/bin/ossec-control start"
    restart_command "/var/ossec/bin/ossec-control restart"
    action :restart
end

%w(clamav clamav-daemon).each do |pkg|
    package pkg do
        action :install
    end
end

bash "update_cvd" do
    user 'root'
    code 'freshclam'
end